> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/product-prices.md).

# Product Prices

The Product Price API

## PUT /erp/products/sales-prices/{priceId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-prices/{priceId}":{"put":{"tags":["ProductPrices"],"operationId":"putProductSalesPrice","parameters":[{"name":"priceId","in":"path","description":"ID des Preises","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}}}}}}},"components":{"schemas":{"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## DELETE /erp/products/sales-prices/{priceId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-prices/{priceId}":{"delete":{"tags":["ProductPrices"],"operationId":"deleteProductSalesPrice","parameters":[{"name":"priceId","in":"path","description":"ID des Preises","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## PUT /erp/products/sales-discounts/{discountId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-discounts/{discountId}":{"put":{"tags":["ProductPrices"],"operationId":"putProductSalesDiscount","parameters":[{"name":"discountId","in":"path","description":"ID des Rabatts","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}}}}}}},"components":{"schemas":{"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## PUT /erp/products/purchase-prices/{priceId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-prices/{priceId}":{"put":{"tags":["ProductPrices"],"operationId":"putProductPurchasePrice","parameters":[{"name":"priceId","in":"path","description":"ID des Preises","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}}}}}}},"components":{"schemas":{"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## DELETE /erp/products/purchase-prices/{priceId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-prices/{priceId}":{"delete":{"tags":["ProductPrices"],"operationId":"deleteProductPurchasePrice","parameters":[{"name":"priceId","in":"path","description":"ID des Preises","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## PUT /erp/products/purchase-discounts/{discountId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-discounts/{discountId}":{"put":{"tags":["ProductPrices"],"operationId":"putProductPurchaseDiscount","parameters":[{"name":"discountId","in":"path","description":"ID des Rabatts","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}}}}}}},"components":{"schemas":{"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## POST /erp/products/sales-prices

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-prices":{"post":{"tags":["ProductPrices"],"operationId":"postProductSalesPrice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}}}}}}},"components":{"schemas":{"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## POST /erp/products/sales-discounts

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-discounts":{"post":{"tags":["ProductPrices"],"operationId":"postProductSalesDiscount","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}}}}}}},"components":{"schemas":{"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## POST /erp/products/recalculate-sales-prices-depending-on-purchase-price

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/recalculate-sales-prices-depending-on-purchase-price":{"post":{"tags":["ProductPrices"],"operationId":"recalculateSalesPricesDependingOnPurchasePrice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-PriceRecalculationByPurchasePriceRequest"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"erp-product-PriceRecalculationByPurchasePriceRequest":{"description":"Request zur Durchführung der Neuberechnung von Verkaufspreisen bzgl. des EK","properties":{"articleIdsForRecalculation":{"type":"array","description":"IDs von Artikeln, deren Preise berechnet werden sollen","items":{"type":"integer","format":"int64","description":"IDs von Artikeln, deren Preise berechnet werden sollen"}},"articleQueryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"variables":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPresetPredicate":{"description":"Bedingungen zur Selektion von Lagerplätzen","properties":{"type":{"type":"string","description":"die Operation für diesen Filter","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"(bei junction) child-definitionen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"filter werte","items":{"type":"string","description":"filter werte"}},"visible":{"type":"boolean","default":true,"description":"Sichtbarkeit bei Variablen"},"functions":{"type":"array","description":"Eine SQL-Funktion, die im Predicate angewendet wird","items":{"type":"string","description":"Eine SQL-Funktion, die im Predicate angewendet wird"}}},"required":["operator","type"]},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Werte von Variablen","properties":{"variableSubstitutions":{"type":"array","description":"Die Variablenbelegungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Die Variablenbelegungen","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Die einzusetzenden Werte","items":{"type":"string","description":"Die einzusetzenden Werte"}}}},"common-cunit-QueryPresetVariable":{"description":"Die zu ersetzende Variable","properties":{"path":{"type":"string","description":"Der pfad, der dieses Attribut eindeutig beschreibt"},"definition":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}],"readOnly":true},"mandatory":{"type":"boolean","description":"Ob die Variable ein Pflichtfeld ist oder nicht"},"variableName":{"type":"string","description":"Name der Variablen"},"visible":{"type":"boolean","default":true,"description":"Handelt es sich um eine sichtbare Variable?"},"alignX":{"type":"integer","format":"int32","description":"Anordnung im UI - X-Koordinate"},"alignY":{"type":"integer","format":"int32","description":"Anordnung im UI - Y-Koordinate"},"alignWidth":{"type":"integer","format":"int32","description":"Anordnung im UI - Breite"},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Eindeutiger Schlüssel zur Identifikation des Attributs"},"attribute":{"type":"string","description":"name des attributes der das ergebnis enthält"},"path":{"type":"string","description":"der pfad, der dieses attribut eindeutig beschreibt"},"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"parentDisplayName":{"type":"string","description":"der Name des Referenzierenden Feldes"},"resultable":{"type":"boolean","default":true,"description":"kann dieses Feld ein Ergebnisfeld sein"},"filterable":{"type":"boolean","default":true,"description":"kann nach diesem feld gefiltert werden"},"sortable":{"type":"boolean","default":true,"description":"ist dieses Feld sortierbar"},"visible":{"type":"boolean","default":true,"description":"soll dieses Feld angezeigt werden"},"functions":{"type":"array","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)","items":{"type":"string","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)"}},"sortDirection":{"type":"string","description":"Info, wie diese spalte sortiert worden ist"},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"modelType":{"type":"string","description":"Attribut gehört zum Modelltyp 'statisch' oder 'dynamisch'","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier der Entity, zu der dieses Attribut gehört (z.B. 'AccountEntity')","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"Bei Relation-Attributen: vollqualifizierter Klassenname der Ziel-Entity (z.B. 'ag.vario.erp.account.AccountEntity')","readOnly":true},"headers":{"type":"array","description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-MetaContent":{"description":"Definition dieser Variable","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]}}}},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"}}}]},"core-cunit-CuAttributeConstraint":{"description":"constraints für dieses Attribut","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"minimaler Wert","readOnly":true},"includeMinValue":{"type":"boolean","description":"ist der minimale Wert inklusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"maximaler Wert","readOnly":true},"includeMaxValue":{"type":"boolean","description":"ist der maximale Wert inklusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"ist der Wert 'null' verboten?","readOnly":true},"notBlank":{"type":"boolean","description":"Bei Strings: ist ein String nur aus Whitespace verboten?","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"data-type für dieses Attribut (falls dataTypeIdentifier leer ist)","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"welcher Typ ist es","readOnly":true},"objectRefIdentifier":{"type":"string","description":"bei Object_Ref: welcher Typ ist es genau","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"welche Funktionen sind erlaubt?","items":{"type":"string","description":"welche Funktionen sind erlaubt?"},"readOnly":true},"predicateOperations":{"type":"array","description":"welche Operations sind erlaubt?","items":{"type":"string","description":"welche Operations sind erlaubt?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit Attribut Filter Optionen","properties":{"filterValues":{"type":"array","description":"Mögliche Filterwerte","items":{"type":"string","description":"Mögliche Filterwerte"}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-cunit-CuAttribute.HeaderGroup":{"description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","properties":{"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}}}}}
```

## POST /erp/products/purchase-prices

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-prices":{"post":{"tags":["ProductPrices"],"operationId":"postProductPurchasePrice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}}}}}}},"components":{"schemas":{"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## POST /erp/products/purchase-discounts

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-discounts":{"post":{"tags":["ProductPrices"],"operationId":"postProductPurchaseDiscount","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}}}}}}},"components":{"schemas":{"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/sales-prices/{articleId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-prices/{articleId}":{"get":{"tags":["ProductPrices"],"operationId":"getProductSalesPricesBySelection","parameters":[{"name":"articleId","in":"path","description":"ID des Artikels","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"accountId","in":"query","required":false,"style":"form","schema":{"description":"ID eines Accounts zum Filtern der Preise"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}}}}}}}},"components":{"schemas":{"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/sales-prices/{articleId}/history/{salesChannelId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-prices/{articleId}/history/{salesChannelId}":{"get":{"tags":["ProductPrices"],"operationId":"getProductSalesPriceHistory","parameters":[{"name":"articleId","in":"path","description":"ID des Artikels","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"salesChannelId","in":"path","description":"ID des Verkaufskanals","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ProductPriceHistory"}}}}}}}}},"components":{"schemas":{"erp-product-ProductPriceHistory":{"description":"Preishistorie","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"article":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannel":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"previousPrice":{"type":"number","description":"Vorheriger Preis","readOnly":true},"newPrice":{"type":"number","description":"Neuer Preis","readOnly":true},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"],"readOnly":true}},"required":["article","newPrice","priceBase","salesChannel"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## GET /erp/products/sales-price-rules-to-account/{accountId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-price-rules-to-account/{accountId}":{"get":{"tags":["ProductPrices"],"operationId":"getProductSalesPriceRulesToAccount","parameters":[{"name":"accountId","in":"path","description":"ID eines Accounts","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}}}}}}}},"components":{"schemas":{"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/sales-price-by-selection

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-price-by-selection":{"get":{"tags":["ProductPrices"],"operationId":"getProductSalesPriceBySelection","parameters":[{"name":"articleId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Produkt"}},{"name":"accessoryMainArticleId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Hauptprodukt eines Zubehörs"}},{"name":"accountId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Account"}},{"name":"productGroupId","in":"query","required":false,"schema":{"format":"int64","description":"Eine Warengruppe"}},{"name":"priceGroupId","in":"query","required":false,"schema":{"format":"int64","description":"Eine Preisgruppe"}},{"name":"manufacturerId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Hersteller"}},{"name":"date","in":"query","required":false,"schema":{"format":"date","description":"Ein Datum"}},{"name":"quantity","in":"query","required":false,"schema":{"format":"double","description":"Eine Menge"}},{"name":"noteSpecialOfferPrice","in":"query","required":false,"schema":{"description":"Soll ein Aktionspreis beachtet werden?"}},{"name":"salesChannelId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Verkaufskanal"}},{"name":"customerGroupId","in":"query","required":false,"schema":{"format":"int64","description":"Eine Kundengruppe"}},{"name":"supplierGroupId","in":"query","required":false,"schema":{"format":"int64","description":"Eine Lieferantengruppe"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}}}}}}},"components":{"schemas":{"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/sales-discounts/{articleId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/sales-discounts/{articleId}":{"get":{"tags":["ProductPrices"],"operationId":"getProductSalesPriceRulesBySelection","parameters":[{"name":"articleId","in":"path","description":"ID des Produkts","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"accountId","in":"query","required":false,"style":"form","schema":{"description":"ID eines Accounts zum Filtern der Preisregeln"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}}}}}}}},"components":{"schemas":{"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/purchase-prices/{articleId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-prices/{articleId}":{"get":{"tags":["ProductPrices"],"operationId":"getProductPurchasePricesBySelection","parameters":[{"name":"articleId","in":"path","description":"ID des Produkts","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"accountId","in":"query","required":false,"style":"form","schema":{"description":"ID eines Accounts zum Filtern der Preise"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}}}}}}}},"components":{"schemas":{"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/purchase-prices/{articleId}/statistic

> liefert dem dEK und letzten EK für ein Artikel (View Stammdaten)

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-prices/{articleId}/statistic":{"get":{"tags":["ProductPrices"],"summary":"liefert dem dEK und letzten EK für ein Artikel (View Stammdaten)","operationId":"getPurchasePriceStatistic","parameters":[{"name":"articleId","in":"path","description":"ID des Artikels","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-PurchasePriceStatistic"}}}}}}}},"components":{"schemas":{"erp-product-PurchasePriceStatistic":{"description":"Preisstatistiken (DEK und letzter EK)","properties":{"averagePrice":{"type":"number","description":"Durchschnitts-Einkaufspreis","readOnly":true},"averagePriceBookedAt":{"type":"string","format":"date","description":"Wertstellungsdatum Durchschnitts-Einkaufspreis","readOnly":true},"priceUnitAveragePrice":{"type":"number","description":"Preiseinheit Durchschnitts-Einkaufspreis","readOnly":true},"lastPrice":{"type":"number","description":"letzter Einkaufspreis","readOnly":true},"lastPriceUpdatedAt":{"type":"string","format":"date-time","description":"Erfassungszeitpunkt letzter Einkaufspreis","readOnly":true},"lastPriceBookedAt":{"type":"string","format":"date","description":"Wertstellungsdatum letzter Einkaufspreis","readOnly":true},"mainSupplierAccount":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"mainSupplierProductPrice":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/purchase-price-rules-to-account/{accountId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-price-rules-to-account/{accountId}":{"get":{"tags":["ProductPrices"],"operationId":"getProductPurchasePriceRulesToAccount","parameters":[{"name":"accountId","in":"path","description":"ID eines Accounts","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}}}}}}}},"components":{"schemas":{"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/purchase-price-by-selection

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-price-by-selection":{"get":{"tags":["ProductPrices"],"operationId":"getProductPurchasePriceBySelection","parameters":[{"name":"articleId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Produkt"}},{"name":"accessoryMainArticleId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Hauptprodukt eines Zubehörs"}},{"name":"accountId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Account"}},{"name":"productGroupId","in":"query","required":false,"schema":{"format":"int64","description":"Eine Warengruppe"}},{"name":"priceGroupId","in":"query","required":false,"schema":{"format":"int64","description":"Eine Preisgruppe"}},{"name":"manufacturerId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Hersteller"}},{"name":"date","in":"query","required":false,"schema":{"format":"date","description":"Ein Datum"}},{"name":"quantity","in":"query","required":false,"schema":{"format":"double","description":"Eine Menge"}},{"name":"noteSpecialOfferPrice","in":"query","required":false,"schema":{"description":"Soll ein Aktionspreis beachtet werden?"}},{"name":"salesChannelId","in":"query","required":false,"schema":{"format":"int64","description":"Ein Verkaufskanal"}},{"name":"customerGroupId","in":"query","required":false,"schema":{"format":"int64","description":"Eine Kundengruppe"}},{"name":"supplierGroupId","in":"query","required":false,"schema":{"format":"int64","description":"Eine Lieferantengruppe"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}}}}}}},"components":{"schemas":{"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/purchase-discounts/{articleId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/purchase-discounts/{articleId}":{"get":{"tags":["ProductPrices"],"operationId":"getProductPurchasePriceRulesBySelection","parameters":[{"name":"articleId","in":"path","description":"ID des Artikels","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"accountId","in":"query","required":false,"style":"form","schema":{"description":"ID eines Accounts zum Filtern der Preisregeln"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-product-ProductDiscount"}}}}}}}}},"components":{"schemas":{"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}}}}}
```

## GET /erp/products/prices/{priceId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"ProductPrices","description":"The Product Price API"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/products/prices/{priceId}":{"get":{"tags":["ProductPrices"],"operationId":"getPrice","parameters":[{"name":"priceId","in":"path","description":"ID des Preises","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-product-ProductPrice"}}}}}}}},"components":{"schemas":{"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Einkaufspreis zur Kalkulation","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Wert des Aufschlags bei EK-Kalkulation"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","for
[...]
